<html>
<head>
<title>OgreShaderGenerator.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_1ff0a99c786b1c34b8d04ba7e7285590.html">RTShaderSystem</a>      </li>
      <li class="navelem"><a class="el" href="dir_167378df2bdccc9b313fc91c17987f1d.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreShaderGenerator.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreShaderPrerequisites_8h_source.html">OgreShaderPrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderObjectListener_8h_source.html">OgreRenderObjectListener.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShaderRenderState_8h_source.html">OgreShaderRenderState.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShaderScriptTranslator_8h_source.html">OgreShaderScriptTranslator.h</a>&quot;</code><br/>
</div>
<p><a href="OgreShaderGenerator_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator.html">Ogre::RTShader::ShaderGenerator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator system main interface.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RTShader_1_1ShaderGenerator_1_1MatGroupPair__less.html">Ogre::RTShader::ShaderGenerator::MatGroupPair_less</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html">Ogre::RTShader::ShaderGenerator::SGPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator pass wrapper class.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGPass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html">Ogre::RTShader::ShaderGenerator::SGTechnique</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator technique wrapper class.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGTechnique.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html">Ogre::RTShader::ShaderGenerator::SGMaterial</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator material wrapper class.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGMaterial.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html">Ogre::RTShader::ShaderGenerator::SGScheme</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator scheme class.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScheme.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGRenderObjectListener.html">Ogre::RTShader::ShaderGenerator::SGRenderObjectListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator <a class="el" href="classOgre_1_1RenderObjectListener.html" title="Abstract interface which classes must implement if they wish to receive events from the scene manager...">RenderObjectListener</a> sub class.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGRenderObjectListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html">Ogre::RTShader::ShaderGenerator::SGSceneManagerListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator scene manager sub class.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGSceneManagerListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScriptTranslatorManager.html">Ogre::RTShader::ShaderGenerator::SGScriptTranslatorManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shader generator <a class="el" href="classOgre_1_1ScriptTranslatorManager.html" title="The ScriptTranslatorManager manages the lifetime and access to script translators.">ScriptTranslatorManager</a> sub class.  <a href="classOgre_1_1RTShader_1_1ShaderGenerator_1_1SGScriptTranslatorManager.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1RTShader.html">Ogre::RTShader</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
